<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class ReviewerMonev extends Model
{
    protected $table = 'reviewer_monev';
    protected $primaryKey = 'reviewer_monev_id';
    public $incrementing = false;
    protected $keyType = 'string';

    protected $fillable = [
        'reviewer_monev_id', 'jenis_monev_id', 'proposal_id', 'reviewer_id', 'status_administrasi', 'komentar', 'urut', 'created_user', 'updated_user'
    ];

    public function rReviewerProposalDetil()
    {
        return $this->hasMany(\App\Models\ReviewerProposalDetil::class, 'reviewer_monev_id', 'reviewer_monev_id');
    }
}
